<%- include('./partials/header') %>
<%- include('./partials/scripts') %>
</head>

<body class="min-vh-100 d-flex flex-column">
	<%- include('./partials/navbar') %>
	<div class="main-content d-flex flex-column flex-grow-1">
		<%- include('./partials/topbar') %>
		<!-- Header -->
		<div class="header pb-8 pt-5 pt-lg-8 d-flex align-items-center"
			style="min-height: 400px; background-image: url(../assets/img/theme/profile-cover.jpg); background-size: cover; background-position: center top;">
			<!-- Mask -->
			<span class="mask bg-gradient-default opacity-6"></span>
			<!-- Header container -->
			<div class="container-fluid d-flex align-items-center">
				<div class="row">
					<div class="col-lg-9 col-md-10">
						<h1 class="display-2 text-white">Váš profil</h1>
						<p class="text-white mt-0 mb-5">Můžete si zde změnit například emailovou adresu</p>
					</div>
				</div>
			</div>
		</div>
		<!-- Page content -->
		<div class="container-fluid mt--7 flex-grow-1">
			<div class="row">
				<div class="col-xl-4 order-xl-2">
					<div class="card card-profile">
						<img src="../assets/img/theme/img-1-1000x600.jpg" alt="Default image background"
							class="card-img-top">
						<div class="row justify-content-center">
							<div class="col-lg-3 order-lg-2">
								<div class="card-profile-image">
									<a href="#">
										<img src="<%= req.session.user.photo %>" class="rounded-circle">
									</a>
								</div>
							</div>
						</div>
						<div class="card-header text-center border-0 pt-8 pt-md-4 pb-0 pb-md-4">
							<div class="d-flex justify-content-between">
								<a href="mailto:<%= req.session.user.email %> "
									class="btn btn-sm btn-default float-right ml-auto">Poslat email</a>
							</div>
						</div>
						<div class="card-body">
							<div class="text-center">
								<h5 class="h3">
									<%= req.session.user.name.first %> <%= req.session.user.name.last %>
								</h5>
								<div class="h5 font-weight-300">
									<%= req.session.user.email %>
								</div>
								<div class="mt-3">
									<% if (req.session.user.type === 'admin') { %>
									<i class="fas fa-user-cog"></i>
									Administrátor (ka)
									<% } else if (req.session.user.type === 'editor') { %>
									<i class="fas fa-user-edit"></i>
									Editor(ka)
									<% } else if (req.session.user.type === 'guest') { %>
									<i class="fas fa-user-tie"></i>
									Host
									<% } %>
								</div>
								<div class="h5 mt-2">
									<i class="fas fa-city fa-fw"></i>
									Purkyňka
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="col-xl-8 order-xl-1">
					<div class="card">
						<div class="card-header">
							<div class="row align-items-center">
								<div class="col-12">
									<h3 class="mb-0">Editace profilu</h3>
								</div>
							</div>
						</div>
						<div class="card-body bg-secondary">
							<h6 class="heading-small text-muted mb-4">Základní údaje</h6>
							<div class="pl-lg-4">
								<form action="" id="edit-profile-form">
									<div class="row">
										<div class="col-md-6 col-sm-12">
											<div class="form-group">
												<label class="form-control-label" for="firstname">Křestní
													jméno</label>
												<input type="text" id="firstname" class="form-control" required
													placeholder="Vyplňte prosím toto povinné pole"
													value="<%= req.session.user.name.first %>">
											</div>
										</div>
										<div class="col-md-6 col-sm-12">
											<div class="form-group">
												<label class="form-control-label" for="lastname">Příjmení</label>
												<input type="text" id="lastname" class="form-control" required
													placeholder="Vyplňte prosím toto povinné pole"
													value="<%= req.session.user.name.last %>">
											</div>
										</div>
									</div>
									<div class="row">
										<div class="col-lg-12">
											<div class="form-group">
												<label class="form-control-label" for="email">Email</label>
												<input type="email" id="email" class="form-control" required
													placeholder="Vyplňte prosím toto prázdné povinné pole"
													value="<%= req.session.user.email %>">
											</div>
										</div>
									</div>
									<div class="row">
										<div class="col" id="edit-profile-status" style="display: none;"></div>
										<div class="col-4 text-left">
											<button type="button" class="btn btn-primary"
												id="edit-profile">Editovat</button>
										</div>
									</div>
								</form>
							</div>
							<hr class="my-4">
							<h6 class="heading-small text-muted mb-4">Změna hesla</h6>
							<div class="pl-lg-4">
								<form action="" id="change-password-form">
									<div class="row">
										<div class="col">
											<div class="form-group">
												<label class="form-control-label" for="new-password">Nové heslo</label>
												<input type="password" id="new-password" class="form-control" required
													placeholder="Vyplňte prosím toto povinné pole">
											</div>
										</div>
									</div>
									<div class="row">
										<div class="col" id="change-password-status" style="display: none;"></div>
										<div class="col-4 text-left">
											<button type="button" class="btn btn-primary"
												id="change-password-button">Editovat</button>
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
			<%- include('partials/footer') %>
		</div>
	</div>
	<%- include('./partials/scripts-file-end') %>
	<script>
		function editProfile() {
			API.user
				.edit({
					firstname: $('#firstname').val(),
					middlename: $('#middlename').val(),
					lastname: $('#lastname').val(),
					email: $('#email').val()
				})
				.done(function (data) {
					console.log(data)
					if (data === 'ok') {
						$('div#edit-profile-status')
							.empty()
							.append(
								$('<div>', { class: 'alert alert-success alert-dismissible' }).append(
									$('<a>', { href: '#', class: 'close', 'data-dismiss': 'alert', 'aria-label': 'close' }).html('&times;'),
									$('<strong>').text('Gratuluji!'),
									' Úspěšně jste si upravil(a) svůj profil'
								)
							)
							.show()
						// Refresh the page
						setTimeout(function () {
							window.location.href = window.location.href;
						}, 3500)
					} else {
						$('div#edit-profile-status')
							.empty()
							.append(
								$('<div>', { class: 'alert alert-danger alert-dismissible' }).append(
									$('<a>', { href: '#', class: 'close', 'data-dismiss': 'alert', 'aria-label': 'close' }).html('&times;'),
									$('<strong>').text('Ach ne! '),
									data
								)
							)
							.show()
					}
				})
		}
		$('#edit-profile').click(editProfile)
		$('#edit-profile-form').submit(function (event) {
			event.preventDefault()
			console.log('submitting edit profile form')
			editProfile()
		})

		function changePassword() {
			API.user
				.setNewPassword('<%= req.session.user._id %>', $('#new-password').val())
				.done(function (data) {
					console.log(data)
					if (data === 'ok') {
						$('div#change-password-status')
							.empty()
							.append(
								$('<div>', { class: 'alert alert-success alert-dismissible' }).append(
									$('<a>', { href: '#', class: 'close', 'data-dismiss': 'alert', 'aria-label': 'close' }).html('&times;'),
									$('<strong>').text('Gratuluji!'),
									' Úspěšně jste si změnil(a) heslo'
								)
							)
							.show()
						// Refresh the page
						setTimeout(function () {
							window.location.href = window.location.href;
						}, 3500)
					} else {
						$('div#change-password-status')
							.empty()
							.append(
								$('<div>', { class: 'alert alert-danger alert-dismissible' }).append(
									$('<a>', { href: '#', class: 'close', 'data-dismiss': 'alert', 'aria-label': 'close' }).html('&times;'),
									$('<strong>').text('Ach ne! '),
									data
								)
							)
							.show()
					}
				})
		}

		$('#change-password-button').click(changePassword)
		$('#change-password-form').submit(function (event) {
			event.preventDefault()
			console.log('submitting new password form')
			changePassword()
		})
	</script>
	<%- include('partials/file-end') %>